> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a segment count > Returns segment count size for requested segment plan id. ## OpenAPI ````json GET /segmentation/getCount { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/segmentation/getCount": { "get": { "tags": [ "Segmentation" ], "summary": "Get a segment count", "description": "Returns segment count size for requested segment plan id.", "operationId": "getCount", "parameters": [ { "name": "termId", "in": "query", "description": "ID of segment term user wants to get a count for.", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Returned count result with last updated date", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/SelectionCountResult" } } } }, "400": { "description": "Provided term ID is invalid, No term id found for specified ID, An unexpected backend error has occurred.", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "SelectionCountResult": { "type": "object", "properties": { "termId": { "type": "string" }, "countResult": { "type": "integer", "format": "int64" }, "lastCalculationDate": { "type": "string" }, "error": { "type": "string" } } } } } } ````